org.richfaces.component

## Enum JQueryTiming

- java.lang.Object
- - java.lang.Enum<JQueryTiming>
  - - org.richfaces.component.JQueryTiming

- All Implemented Interfaces:
    Serializable, Comparable<JQueryTiming>

      public enum JQueryTiming
      extends Enum<JQueryTiming>

  Author:
    nick

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `domready`
    `immediate`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JQueryTiming` | `DEFAULT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JQueryTiming` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JQueryTiming[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### immediate

          public static final JQueryTiming immediate

    - #### domready

          public static final JQueryTiming domready

  - ### Field Detail

    - #### DEFAULT

          public static final JQueryTiming DEFAULT

  - ### Method Detail

    - #### values

          public static JQueryTiming[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JQueryTiming c : JQueryTiming.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JQueryTiming valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.